Centre-Centre
Centre (Hub) to Centre (Hub) Price
This endpoint is used to calculate the price for a delivery from a pickup centre to one or more destination centres.
Request Body
-
pickup_origin(object): Details of the pickup origin including state code, country code, centre code, and address.-
state_code(string, optional): The state code of the pickup origin. -
country_code(string, optional): The country code of the pickup origin. -
centre_code(string): The code of the pickup centre. -
addresss(string, optional): The address of the pickup origin.
-
-
destinations(array): An array of destination objects containing details of each destination centre.-
state_code(string, optional): The state code of the destination. -
country_code(string, optional): The country code of the destination. -
centre_code(string): The code of the destination centre. -
addresss(string, optional): The address of the destination. -
item_weight(number): The weight of the item to be delivered to the destination.
-
Response Body (JSON Schema)
{
"type": "object",
"properties": {
"status": {
"type": "boolean"
},
"message": {
"type": "string"
},
"data": {
"type": "object",
"properties": {
"pickup_origin": {
"type": "object",
"properties": {
"state_code": {
"type": ["string", "null"]
},
"country_code": {
"type": ["string", "null"]
},
"centre_code": {
"type": "string"
},
"addresss": {
"type": ["string", "null"]
},
"pickup_centre": {
"type": "object",
"properties": {
"centre_code": {
"type": "string"
},
"centre_name": {
"type": "string"
}
}
}
}
},
"destinations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"state_code": {
"type": ["string", "null"]
},
"country_code": {
"type": ["string", "null"]
},
"centre_code": {
"type": "string"
},
"addresss": {
"type": ["string", "null"]
},
"item_weight": {
"type": "number"
},
"dropoff_centre": {
"type": "object",
"properties": {
"centre_code": {
"type": "string"
},
"centre_name": {
"type": "string"
}
}
},
"price": {
"type": "object",
"properties": {
"amount": {
"type": "number"
},
"discount_amount": {
"type": "number"
},
"amount_payable": {
"type": "number"
},
"discount_type": {
"type": "string"
},
"discount_description": {
"type": "string"
},
"distance": {
"type": "string"
},
"duration": {
"type": "string"
}
}
},
"weight": {
"type": "string"
}
}
}
},
"total_amount": {
"type": "number"
},
"total_discount_amount": {
"type": "number"
},
"total_amount_payable": {
"type": "number"
},
"discount_type": {
"type": "string"
},
"discount_description": {
"type": "string"
}
}
}
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
[
{
"addresss": "",
"centre_code": "",
"country_code": "",
"item_weight": 0.5,
"state_code": ""
},
{
"addresss": "",
"centre_code": "lagos-adeniji-adele",
"country_code": "",
"item_weight": 1,
"state_code": ""
},
{
"addresss": "",
"centre_code": "ibadan-agodi-gate",
"country_code": "",
"item_weight": 1,
"state_code": ""
}
]